clear all;close all;clc;
pkg load nan;
bSave = 1;
% grficos de CDF variando o raio de cada ERB
dNUsrs = 10; % carga para fazer o grfico
vtdR = [ 500 5000 ]; % raios para fazer o grfico
iNdR = length( vtdR ); % tamanho do vetor de raios 
nRep = 10000; % repeties de Monte Carlos para fazer o grfico
chPastaSaida = ['simRep_MRC' num2str(nRep)]; % local dos resultados da simulao
vtHandlesSINR = []; chLegend = [];vtHandlesPrx = [];
dfSINR = figure; % handle da figura da SINR
dfPrx = figure; % handle da figura da potncia recebida
for idR = 1 : iNdR
    dR = vtdR( idR );
    disp(['Processando raio ' num2str(dR) ' m e carga ' num2str(dNUsrs) ' usurios.']);
    chArq = [chPastaSaida filesep 'ULSim_carga_' num2str(dNUsrs) ];
    chArq = [chArq '_raio_' num2str(dR) '_rep_' num2str(nRep) '.mat' ];
    load(chArq); % abrir arquivo com resultados de simulao
    figure(dfSINR); % faz figura da SINR 
    dhandleSINR = cdfplot(vtSINRdB2Salvar); hold on; 
    dhandleSINRMRC = cdfplot(vtSINRMRCdB2Salvar);
    vtHandlesSINR = [vtHandlesSINR dhandleSINR dhandleSINRMRC];
    figure(dfPrx); % faz figura da potncia recebida
    dhandlePrx = cdfplot(vtPrdB2Salvar); hold on; 
    dhandlePrxMRC = cdfplot(vtPrMRCdB2Salvar); 
    vtHandlesPrx = [vtHandlesPrx dhandlePrx dhandlePrxMRC];
    chLegend = [chLegend;['Raio = ' num2str(dR) ' m - SISO']]; 
    chLegend = [chLegend;['Raio = ' num2str(dR) ' m - SIMO-MRC']]; 
end
figure(dfSINR); % configura figura da SINR 
set(gcf, 'Position', get(0,'Screensize'));
fMarcadoresCDF( vtHandlesSINR, 20 );
set(gca,'linewidth',3, 'fontsize',20,'FontWeight', 'bold');
legend( chLegend,'Location','southeast'); 
title(['Sistema (Carga = ' num2str(dNUsrs) ')'] );
ylabel('CDF da SINR'); xlabel('SINR [dB]'); axis([-30 30 0 1]);
%############
if ( bSave == 1)
saveas (gcf, "fig_cap11_CDF_SINR_MRC_raios_l2s.png");
print -color -depsc fig_cap11_CDF_SINR_MRC_raios_l2s.eps
end
%############

figure(dfPrx); % configura figura da potncia recebida
set(gcf, 'Position', get(0,'Screensize'));
fMarcadoresCDF( vtHandlesPrx, 20 );
set(gca,'linewidth',3, 'fontsize',20,'FontWeight', 'bold');
legend( chLegend,'Location','northwest'); 
title(['Prx (Carga = ' num2str(dNUsrs) ')'] );
ylabel('CDF da Prx'); xlabel('Prx [dBm]'); axis([-160 -30 0 1]);

%############
if ( bSave == 1)
saveas (gcf, "fig_cap11_CDF_Prx_MRC_raios_l2s.png");
print -color -depsc fig_cap11_CDF_Prx_MRC_raios_l2s.eps
end
%############

% grfico da mdia variando a carga da ERB
%clear all; 
dfTput = figure;
vtdR = [ 500 5000 ]; % raios para fazer o grfico
iNdR = length( vtdR ); % tamanho do vetor de cargas
vtUsersPerCell = [1 2 5 10]; % vetor com as cargas (nmero de usurios) a serem simulados
iNUsr = length( vtUsersPerCell ); % tamanho do vetor de cargas
nRep = 10000; % nmero de repeties para fazer o grfico
chMrk1 = {'c-h';'g-^';'y-p';'k-+'}; % cores e marcadores 
chMrk2 = {'r--s';'b--o';'m-->';'k--*'}; % cores e marcadores
chLegend = [];
chPastaSaida = ['simRep_MRC' num2str(nRep)]; 
for idR = 1 : iNdR
    dR = vtdR(idR);
    vtTaxaMedia = []; vtTaxaDes = [];vtTaxaMRCMedia = [];vtTaxaMRCDes = [];
    for iusr = 1 : iNUsr
        dNUsrs = vtUsersPerCell( iusr );
        disp(['Processando raio ' num2str(dR) ' m e carga ' num2str(dNUsrs) ' usurios.']);
        chArq = [chPastaSaida filesep 'ULSim_carga_' num2str(dNUsrs) ];
        chArq = [chArq '_raio_' num2str(dR) '_rep_' num2str(nRep) '.mat' ];
        load(chArq); 
        vtTaxaMedia = [vtTaxaMedia mean(vtTaxa2Salvar/1e6)];
        vtTaxaDes = [vtTaxaDes std(vtTaxa2Salvar/1e6)];
        vtTaxaMRCMedia = [vtTaxaMRCMedia mean(vtTaxaMRC2Salvar/1e6)];
        vtTaxaMRCDes = [vtTaxaMRCDes std(vtTaxaMRC2Salvar/1e6)];
    end
    chLegend = [ chLegend ; [' Raio = ' num2str(dR) ' m - SISO']];
    chLegend = [ chLegend ; [' Raio = ' num2str(dR) ' m - SIMO-MRC']];
    plot(vtUsersPerCell,vtTaxaMedia,chMrk1{idR},'linewidth',3,'MarkerSize',12);
    hold on;
    plot(vtUsersPerCell,vtTaxaMRCMedia,chMrk2{idR},'linewidth',3, 'MarkerSize',12);    
end
figure(dfTput);
set(gcf, 'Position', get(0,'Screensize'));
set(gca,'fontsize',20,'FontWeight', 'bold');
legend( chLegend ); axis([0 11 1 25]);
grid on; title(['Sistema com MRC'] ); xlabel('Carga');
ylabel('Taxa [Mbps]'); 

%############
if ( bSave == 1)
saveas (gcf, "fig_cap11_Taxa_MRC_raios_l2s.png");
print -color -depsc fig_cap11_Taxa_MRC_raios_l2s.eps
end
%############

