clear all;close all;clc;tic;
bSave = 1;
load('simEnlace.mat');
% Probabilidade teórica
vtPeAWGN = 0.5*erfc(sqrt(vtEbNo)); % Pe AWGN
vtPeRay = 0.5*(1-sqrt(vtEbNo./(vtEbNo+1))); % Pe Rayleigh
p = 1/2-1/2*(1+1./vtEbNo).^(-1/2); vtPeMRC = p.^2.*(1+2*(1-p)); % Pe MRC 2 antenas
% grfico 1: comparao AWGN, Rayleigh e Diversidade MRC e EGC (2 antenas)
h1 = figure; 
semilogy(vtEbNodB, vtPeRay, 'linewidth',3, 'MarkerSize',12);hold all;
semilogy(vtEbNodB, vtBERRay,'o', 'linewidth',3, 'MarkerSize',12);
semilogy(vtEbNodB, vtPeMRC,':', 'linewidth',3, 'MarkerSize',12);
semilogy(vtEbNodB, mtBERMRC(1,:),'^', 'linewidth',3, 'MarkerSize',12);
semilogy(vtEbNodB, vtPeAWGN,'--', 'linewidth',3, 'MarkerSize',12);
semilogy(vtEbNodB, vtBERAWGN,'s', 'linewidth',3, 'MarkerSize',12);
set (gca, "Interpreter", "tex"); 
set(gca,'fontsize',20,'FontWeight', 'bold');
figure(h1);
set(gcf, 'Position', get(0,'Screensize'));
chLegend = ['Pe Rayleigh';'BER Rayleigh (simulado)'];
chLegend = [ chLegend ;'Pe MRC 2 antenas';'BER MRC 2 antenas (simulado)'];
chLegend = [ chLegend ;'Pe AWGN';'BER AWGN (simulado)'];
legend(chLegend,'Location','northeast'); 
xlabel('Eb/No'); 
ylabel('BER');
axis([min(vtEbNodB) max(vtEbNodB) 1e-5 1]); 
grid on;
%###############
if ( bSave == 1)
saveas (gcf, "fig_cap11_AWGN_Ray_MRC.png");
print -color -depsc fig_cap11_AWGN_Ray_MRC.eps
end
%###############
% grfico 2: comparao Diversidade MRC com nmero diferentes de antenas
h2 = figure; 
semilogy(vtEbNodB, vtBERRay,'o-', 'linewidth',3, 'MarkerSize',12);hold all;
semilogy(vtEbNodB, mtBERMRC(1,:),'s--', 'linewidth',3, 'MarkerSize',12);
semilogy(vtEbNodB, mtBERMRC(2,:),'d-.', 'linewidth',3, 'MarkerSize',12);
semilogy(vtEbNodB, mtBERMRC(3,:),'*:', 'linewidth',3, 'MarkerSize',12);
set (gca, "Interpreter", "tex"); 
set(gca, 'fontsize',20,'FontWeight', 'bold'); grid on;
figure(h2);
set(gcf, 'Position', get(0,'Screensize'));
chLegend = ['BER Rayleigh (1 antena)';'BER Rayleigh - MRC (2 antenas)'];
chLegend = [chLegend ;'BER Rayleigh - MRC (4 antenas)';'BER Rayleigh - MRC (8 antenas)'];
legend(chLegend,'Location','northeast'); xlabel('Eb/No'); ylabel('BER'); 
disp(['Durao = ' num2str(toc/60) ' minutos...']);
%###############
if ( bSave == 1)
saveas (gcf, "fig_cap11_MRC_varias_antenas.png");
print -color -depsc  fig_cap11_MRC_varias_antenas.eps
end
%###############