clear all;close all;clc;
pkg load nan;
bSave = 1;
% gráficos variando a carga de cada ERB
dR = 500; % raio para fazer o grfico
vtUsersPerCell = [ 10 50 100 200 ]; % cargas para fazer o grfico
iNUsr = length( vtUsersPerCell ); % tamanho do vetor de cargas
nRep = 1000; % repeties de Monte Carlos para fazer o grfico
chPastaSaida = ['simRep_' num2str(nRep)]; % local dos resultados da simulao
vtHandlesSINR = []; vtHandlesSINRDSSS = []; vtHandlesPrx = []; chLegend = zeros(0,0);
dfSINR = figure; % handle da figura da SINR
dfSINRDSSS = figure; % handle da figura da SINR DSSS
dfPrx = figure; % handle da figura da potncia recebida
for iusr = 1 : iNUsr
    dNUsrs = vtUsersPerCell( iusr ); % carga a processar
    disp(['Processando raio ' num2str(dR) ' m e carga ' num2str(dNUsrs) ' usurios.']);
    chArq = [chPastaSaida filesep 'ULSim_carga_' num2str(dNUsrs) ];
    chArq = [chArq '_raio_' num2str(dR) '_rep_' num2str(nRep) '.mat' ];
    load(chArq); % abre arquivo com resultados de simulao
    figure(dfSINR); % faz figura da SINR sem DSSS
    dhandleSINR = cdfplot(vtSINRdB2Salvar); hold on; 
    vtHandlesSINR = [vtHandlesSINR dhandleSINR];
    figure(dfSINRDSSS); % faz figura da SINR com DSSS
    dhandleSINRDSSS = cdfplot(vtSINRDSSSdB2Salvar); hold on; 
    vtHandlesSINRDSSS = [vtHandlesSINRDSSS dhandleSINRDSSS];
    figure(dfPrx); % faz figura da potncia recebida
    dhandlePrx = cdfplot(vtPrdB2Salvar); hold on; 
    vtHandlesPrx = [vtHandlesPrx dhandlePrx];
    chLegend = [chLegend; ['Carga = ' num2str(dNUsrs)] ]; % monta legenda
end
figure(dfSINR); % configura figura da SINR sem DSSS
set(gcf, 'Position', get(0,'Screensize'));
fMarcadoresCDF( vtHandlesSINR, 20 );
set(gca,'linewidth',3, 'fontsize',20,'FontWeight', 'bold');
legend( chLegend, 'Location','northwest'); grid on;
title(['Sistema sem DSSS (Raio = ' num2str(dR) ' m)'] );
ylabel('CDF da SINR'); xlabel('SINR [dB]'); axis([-30 50 0 1]);
%############
if ( bSave == 1)
saveas (gcf, "fig_cap11_CDF_SINR_cargas.png");
print -color -depsc fig_cap11_CDF_SINR_cargas.eps
end
%############

figure(dfSINRDSSS); % configura figura da SINR com DSSS
set(gcf, 'Position', get(0,'Screensize'));
fMarcadoresCDF( vtHandlesSINRDSSS, 20 );
set(gca,'linewidth',3, 'fontsize',20,'FontWeight', 'bold');
legend( chLegend, 'Location','northwest'); grid on;
title(['Sistema com DSSS (Raio = ' num2str(dR) 'm)'] );
ylabel('CDF da SINR'); xlabel('SINR [dB]'); axis([-60 50 0 1]);
%############
if ( bSave == 1)
saveas (gcf, "fig_cap11_CDF_SINRDSSS_cargas.png");
print -color -depsc fig_cap11_CDF_SINRDSSS_cargas.eps
end
%############

figure(dfPrx); % configura figura da potncia recebida
set(gcf, 'Position', get(0,'Screensize'));
fMarcadoresCDF( vtHandlesPrx, 20 );
set(gca,'linewidth',3, 'fontsize',20,'FontWeight', 'bold');
legend( chLegend,'Location','northwest'); grid on;
title(['Prx (Raio = ' num2str(dR) ' m)'] );
ylabel('CDF da Prx'); xlabel('Prx [dBm]'); axis([-100 -30 0 1]);
%############
if ( bSave == 1)
saveas (gcf, "fig_cap11_CDF_Prx_cargas.png");
print -color -depsc fig_cap11_CDF_Prx_cargas.eps
end
%############

%
% grficos variando o raio de cada ERB
dNUsrs = 10; % carga para fazer o grfico
vtdR = [ 500 1000 2000 5000 ]; % raios para fazer o grfico
iNdR = length( vtdR ); % tamanho do vetor de raios 
nRep = 1000; % repeties de Monte Carlos para fazer o grfico
chPastaSaida = ['simRep_' num2str(nRep)]; % local dos resultados da simulao
vtHandlesSINR = []; vtHandlesSINRDSSS = []; vtHandlesPrx = []; chLegend = [];
dfSINRr = figure; % handle da figura da SINR
dfSINRDSSSr = figure; % handle da figura da SINR DSSS
dfPrxr = figure; % handle da figura da potncia recebida
for idR = 1 : iNdR
    dR = vtdR( idR );
    disp(['Processando raio ' num2str(dR) ' m e carga ' num2str(dNUsrs) ' usurios.']);
    chArq = [chPastaSaida filesep 'ULSim_carga_' num2str(dNUsrs) ];
    chArq = [chArq '_raio_' num2str(dR) '_rep_' num2str(nRep) '.mat' ];
    load(chArq); % abre arquivo com resultados de simulao
    figure(dfSINRr); % faz figura da SINR sem DSSS
    dhandleSINR = cdfplot(vtSINRdB2Salvar); hold on; 
    vtHandlesSINR = [vtHandlesSINR dhandleSINR];
    figure(dfSINRDSSSr); % faz figura da SINR com DSSS
    dhandleSINRDSSS = cdfplot(vtSINRDSSSdB2Salvar); hold on; 
    vtHandlesSINRDSSS = [vtHandlesSINRDSSS dhandleSINRDSSS];
    figure(dfPrxr); % faz figura da potncia recebida
    dhandlePrx = cdfplot(vtPrdB2Salvar); hold on; 
    vtHandlesPrx = [vtHandlesPrx dhandlePrx];
    chLegend = [chLegend;['Raio = ' num2str(dR) ' m'] ]; % monta legenda
end
figure(dfSINRr); % configura figura da SINR sem DSSS
set(gcf, 'Position', get(0,'Screensize'));
fMarcadoresCDF( vtHandlesSINR, 20 );
set(gca,'linewidth',3, 'fontsize',20,'FontWeight', 'bold');
legend( chLegend,'Location','northwest'); grid on;
title(['Sistema sem DSSS (Carga = ' num2str(dNUsrs) ')'] );
ylabel('CDF da SINR'); xlabel('SINR [dB]'); axis([-30 50 0 1]);
%############
if ( bSave == 1)
saveas (gcf, "fig_cap11_CDF_SINR_raios.png");
print -color -depsc fig_cap11_CDF_SINR_raios.eps
end
%############

figure(dfSINRDSSSr); % configura figura da SINR com DSSS
set(gcf, 'Position', get(0,'Screensize'));
fMarcadoresCDF( vtHandlesSINRDSSS, 20 );
set(gca,'linewidth',3, 'fontsize',20,'FontWeight', 'bold');
legend( chLegend,'Location','northwest');  grid on;
title(['Sistema com DSSS (Carga = ' num2str(dNUsrs) ')'] );
ylabel('CDF da SINR'); xlabel('SINR [dB]'); axis([-60 50 0 1]);

%############
if ( bSave == 1)
saveas (gcf, "fig_cap11_CDF_SINRDSSS_raios.png");
print -color -depsc fig_cap11_CDF_SINRDSSS_raios.eps
end
%############

figure(dfPrxr); % configura figura da potncia recebida
set(gcf, 'Position', get(0,'Screensize'));
fMarcadoresCDF( vtHandlesPrx, 20 );
set(gca,'linewidth',3, 'fontsize',20,'FontWeight', 'bold');
set (gca, "Interpreter", "tex"); 
legend( chLegend,'Location','northwest');  grid on;
title(['Prx (Carga = ' num2str(dNUsrs) ')'] );
ylabel('CDF da Prx'); xlabel('Prx [dBm]'); axis([-140 -30 0 1]);
%############
if ( bSave == 1)
saveas (gcf, "fig_cap11_CDF_Prx_raios.png");
print -color -depsc fig_cap11_CDF_Prx_raios.eps
end
%############
