function dTempoExp = fSimuladorMRC( sPar )
tic; % contagem do tempo do experimento
% Centro das sete ERBs hexagonais
vtERBs = [0]; offset = pi/6;
for iBs = 2 : 7
    vtERBs = [vtERBs sPar.dR*sqrt(3)*exp(j*((iBs-2)*pi/3 + offset))];
end
iNERBs = length(vtERBs); % nmero de ERBs
vtSINRDSSSdB2Salvar = []; % vetor para armazenamento da SINR DSSS
vtSINRdB2Salvar = []; % vetor para armazenamento da SINR
vtSINRMRCdB2Salvar = []; % vetor para armazenamento da SINR com MRC
vtPrdB2Salvar = []; % vetor para armazenamento da potncia recebida
vtPrMRCdB2Salvar = []; % vetor para armazenamento da potncia recebida com MRC
vtTaxa2Salvar = [ ]; % vetor para armazenamento da vazo sem MRC
vtTaxaMRC2Salvar = [ ]; % vetor para armazenamento da vazo com MRC
% matriz da posio (complexa) de cada usurio para cada uma das 7 ERBS (posio relativa
% a ERB central). As linhas so indexadas pelos usurios e as colunas pelas ERBs.
mtSectorPos = zeros( sPar.dUsrPerErb, iNERBs );
% matriz de potncia recebida na ERB central de cada usurio das 7 ERBs. 
mtPrx2ERBCentralmW = zeros( sPar.dUsrPerErb, iNERBs );
mtPrxMRCdB = zeros( sPar.dUsrPerErb, iNERBs-1 );
for isim = 1: sPar.iRep % loop no nmero de interaes de Monte Carlo
    for iERB = 1 : iNERBs % criao dos usurios em cada ERB
        mtSectorPos( :, iERB ) = fPosUsrErb( sPar, vtERBs( iERB ) ); 
        % figura com o posicionamento dos usurios e ERBs (se configurado)
        if ( sPar.bPlotUsrs ) 
            fDesenhaErb( sPar.dR, vtERBs( iERB ) ); hold all;
            plot(mtSectorPos(:,iERB ),'*');plot(vtERBs,'bs','LineWidth',2);
            legend('Limite da ERB','Usurios','ERB'); 
        end
        % clculo da potncia recebida na ERB Central de todos os usurios 
        vt2BSDist = abs( mtSectorPos( :, iERB ) - vtERBs(1) ); % distncia em m
        vtPldB = 129.4+35.2*log10(vt2BSDist/1e3); % perda de percurso em dB
        vtPl = 10.^( vtPldB ./ 10 ); % perda de percurso
        mtXsdB(:,iERB) = sPar.dSigma*randn(sPar.dUsrPerErb,1); % sombreamento em dB
        % desvanecimento plano Rayleigh 
        mtHRay(:,iERB) = sqrt(0.5).*complex(randn(sPar.dUsrPerErb,1),randn(sPar.dUsrPerErb,1));
        mtRay(:,iERB) = abs(mtHRay(:,iERB)).^2; mtRaydB(:,iERB) = 10*log10(mtRay(:,iERB));
        vtPrdBm = sPar.GadBi+mtXsdB(:,iERB)+sPar.dPtxdBm-vtPldB+mtRaydB(:,iERB); % Prx em dBm
        % clculo da potncia (e interferncia) com MRC com 2 antenas
        iNAnts = 2;
        mtHRaynAnts = [mtHRay(:,iERB) sqrt(0.5).*complex(randn(sPar.dUsrPerErb,iNAnts-1),randn(sPar.dUsrPerErb,iNAnts-1))];%*
        vtRay2 = conj(mtHRay(:,1)).*mtHRay(:,iERB);
        if ( iERB == 1 ) % clculo da potncia de interesse e do rudo com MRC
            vtRayMRC = abs(sum(conj(mtHRaynAnts).*mtHRaynAnts,2)).^2;
            vtPnMRC = sqrt(vtRayMRC)*sPar.dPnmW;
            mtH0 = mtHRaynAnts;
        else % clculo da interferncia com MRC
            vtRayMRC = abs(sum(conj(mtH0).*mtHRaynAnts,2)).^2;
        end
        vtRaydBMRC = 10*log10(vtRayMRC);
        mtPrxMRCdB(:,iERB) = sPar.GadBi+mtXsdB(:,iERB)+sPar.dPtxdBm-vtPldB+vtRaydBMRC; % Prx em dBm
        vtPrmW = 10.^( vtPrdBm / 10); % potncia recebida (Prx) em mW
        mtPrx2ERBCentralmW( :, iERB ) = vtPrmW; % armazenamento de Prx em mW
    end
    % figura com o posicionamento dos usurios e ERBs (se configurado)
    if ( sPar.bPlotUsrs ), dTempoExp = toc; return; end 
    % clculo da SINR para sistemas DSSS
    vtPr = mtPrx2ERBCentralmW(:,1); % potncia recebida til em mW
    % Interferncia intra-celular em mW
    vtIntraInter = sum(mtPrx2ERBCentralmW(:,1))- mtPrx2ERBCentralmW(:,1); 
    dInter = sum(sum(mtPrx2ERBCentralmW(:,2:7))); % interferncia inter-celular em mW
    vtSINRDSSS = sPar.Gp * vtPr ./ ( vtIntraInter + dInter + sPar.dPnmW ); % SINR DSSS
    % clculo da SINR para sistema sem DSSS
    % interferncia inter-celular, assumindo existncia um usurio co-canal em cada ERB
    vtInter = sum(mtPrx2ERBCentralmW(:,2:7),2); 
    vtSINR = vtPr ./ ( vtInter + sPar.dPnmW ); % SINR 
    % clculo da SINR para sistema sem DSSS com MRC
    vtPrMRCdB = mtPrxMRCdB(:,1);
    mtPrxMRCmW = 10.^( mtPrxMRCdB / 10); % potncia recebida em mW
    vtInterMRC = sum(mtPrxMRCmW(:,2:7),2);  % Interferncia
    vtSINRMRC = mtPrxMRCmW(:,1) ./ ( vtInterMRC + vtPnMRC ); % SINR com MRC
    % transmisso (SNR=Eb/No, considerando eficincia espectral (Rb/B) igual a 1)
    vtBER = 0.5*(1-sqrt(vtSINR./(vtSINR+1))); % mapeamento link-to-system ideal 
    dTFrame = 10e-3; % tempo do frame
    dTTI = 1e-3; % tempo de transmisso (unidade temporal do escanolamento)
    % Quantidade de TTIs para cada usurio  (escalonamento Round Robin)
    iNTTIs = dTFrame/dTTI/sPar.dUsrPerErb;
    % bits per TTI do esquema de multiplexao (e.g. OFDMA, 20 MHz, prefixo cclico normal)
    dMultiplexPerTII = 12*7*100; 
    iNBitsPerTTI = (1/dTTI)*dMultiplexPerTII; % quantidade de bits por TTI
    % Vazo de cada usurio, considerando o tempo de espera pelo seu TTI
    vtRatePerTTI = iNBitsPerTTI./[1:10];
    for ik = 1 : sPar.dUsrPerErb
        vtTaxa(ik) = (1-vtBER(ik))*sum(vtRatePerTTI((ik-1)*iNTTIs+1:ik*iNTTIs));
    end
    % Vazo de cada usurio para o MRC 2 antenas
    p = 1/2-1/2*(1+1./vtSINRMRC).^(-1/2);
    vtBERMRC = p.^2.*(1+2*(1-p)); % mapeamento link-to-system ideal
    for ik = 1 : sPar.dUsrPerErb
        vtTaxaMRC(ik) = (1-vtBERMRC(ik))*sum(vtRatePerTTI((ik-1)*iNTTIs+1:ik*iNTTIs));
    end
    % Armazenamento das mtricas de sada
    vtSINRdB2Salvar = [ vtSINRdB2Salvar 10*log10(vtSINR).'];
    vtSINRDSSSdB2Salvar = [ vtSINRDSSSdB2Salvar 10*log10(vtSINRDSSS).'];
    vtPrdB2Salvar = [ vtPrdB2Salvar 10*log10( vtPr ).'];
    vtPrMRCdB2Salvar = [ vtPrMRCdB2Salvar vtPrMRCdB.'];
    vtSINRMRCdB2Salvar = [ vtSINRMRCdB2Salvar 10*log10(vtSINRMRC).'];
    vtTaxa2Salvar = [ vtTaxa2Salvar vtTaxa];
    vtTaxaMRC2Salvar = [ vtTaxaMRC2Salvar vtTaxaMRC];
end
% nome do arquivo de armazenamento de resultados
chArq = ['ULSim_carga_' num2str(sPar.dUsrPerErb) '_raio_' num2str(sPar.dR) '_rep_' num2str(sPar.iRep) '.mat'];
[s,m,mi] = mkdir( sPar.chPastaSaida );
cd( sPar.chPastaSaida );
dTempoExp = toc;
save(chArq, 'vtSINRdB2Salvar', 'vtSINRDSSSdB2Salvar', 'vtSINRMRCdB2Salvar', 'vtPrdB2Salvar','vtPrMRCdB2Salvar','vtTaxa2Salvar','vtTaxaMRC2Salvar','dTempoExp');
cd('../')
disp(['Experimento salvo em ' chArq ' , tempo de execuo = ' num2str(dTempoExp) ' s.']);
