clear all;close all;clc;
dtempoSim = 0; % contabilizao do tempo de simulao
% sParam.bPlotUsrs = 0: realizar a simulao
% sParam.bPlotUsrs = 1: somente gerar figura com o grid e os usurios
sPar.bPlotUsrs = 0;
sPar.dPndBm = -107; % potncia do rudo em dBm
sPar.dPnmW = 10^( sPar.dPndBm / 10 ); % potncia do rudo em mW
sPar.dSigma = 8; % desvio padro do sombreamento em dB
sPar.dPtxdBm = 21; % potncia de transmisso em dBm
sPar.GadBi = 16; % ganho da antena em dBi
sPar.Gp = 128; % fator de espalhamento para sistemas DSSS
vtdR = [ 500 5000 ]; % raios da ERB a serem simuladors [m]
iNdR = length( vtdR ); % tamanho do vetor de raios
vtUsersPerCell= [1 2 5 10]; % cargas (nmero de usurios) a serem simuladas
iNUsr = length( vtUsersPerCell ); % tamanho do vetor de cargas
vtRep = [10000]; % vetor com nmeros de repeties de Monte Carlo
iNTotalRep = length( vtRep ); % tamanho do vetor de repeties
for iRep = 1 : iNTotalRep % loop no vetor de repeties
    sPar.iRep = vtRep( iRep ); % repeties a simular nesse loop
    % nome da pasta com os arquivos de sada da simulao
    sPar.chPastaSaida = ['simRep_MRC' num2str(sPar.iRep)];
    for iUsr = 1 : iNUsr % loop no vetor de cargas
        sPar.dUsrPerErb = vtUsersPerCell( iUsr ); % carga desse loop
        for idR = 1 : iNdR % loop no vetor de raios
            sPar.dR = vtdR( idR ); % raio a simular nesse loop
            dtempoSim = dtempoSim + fSimuladorMRC( sPar );
            % somente construir figura com o posicionamento dos usurios
            if ( sPar.bPlotUsrs ), return; end
        end % fim do loop no vetor de raios
        prog = ((iRep-1)*iNdR*iNUsr+(iUsr)*iNdR)/(iNdR*iNUsr*iNTotalRep);
        disp([num2str(100*prog) '% de todas as simulaes concludas...']);
    end % fim do loop no vetor de cargas
end % fim do loop no vetor de repeties
disp(['Tempo total de simulao = ' num2str(dtempoSim/60) ' minutos.']);